%define	mysql-driver-version	5.1.18
%define	switchyard-subsystem-version	0.4.0
%define	mongodb-java-driver-version	2.7.3

Summary:        JBoss Exterprise Application Platform OpenShift Extension Modules
Name:           jboss-eap6-modules
Version:        6.0.0.GA
Release:        8%{?dist}
License:        LGPL
BuildArch:      noarch
Group:          Applications/System
Source0:        mysql-modules-5.1.18.tgz
Source1:	switchyard-eap6-modules-0.6.0-SNAPSHOT.tar.gz
Source2:	mongodb-java-driver-modules-2.7.3.tgz
Source3:	SOURCE-OFFER
Requires:       shadow-utils
Requires:       coreutils
Requires:       initscripts
Requires(post): /sbin/chkconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%define __jar_repack %{nil}

%description
The JBoss Exterprise Application Platform module extentions used in the OpenShift
environment

%prep
%setup -T -c %{name}-%{version} -a 0
%setup -T -c %{name}-%{version} -a 1 -D
%setup -T -c %{name}-%{version} -a 2 -D

%install
cd %{_topdir}/BUILD
# The source archive is expected to contain a modules directory in the same
# structure as the jboss-eap6 modules root directory
echo "Using mysql driver: " %{mysql-driver-version}
install -d -m 755 $RPM_BUILD_ROOT/usr/share/jbossas
cp -R %{name}-%{version}/* $RPM_BUILD_ROOT/usr/share/jbossas
cp %{SOURCE3} $RPM_BUILD_ROOT/usr/share/jbossas

%clean
#rm -Rf $RPM_BUILD_ROOT

%pre

%post

%files
%defattr(-,root,root)
/usr/share/jbossas/SOURCE-OFFER
/usr/share/jbossas/modules

#%postun
#Remove all of the modules files added
#for f in `rpm -ql %{name}`; do
#	rm $f
#done

%changelog
* Thu Oct 04 2012 William DeCoste
- official eap6 rpm layout

* Thu Sep 20 2012 William DeCoste
- upgrade switchyard to 0.6.0

* Wed Jul 25 2012 William DeCoste
- remove %postun

* Tue Jul 24 2012 William DeCoste
- conflicting SOURCE-OFFER

* Mon Jul 23 2012 William DeCoste
- cleanup

* Fri Jul 13 2012 William DeCoste
- Added SOURCE-OFFER

* Tue Jun 12 2012 William DeCoste
- Update to EAP 6.0 GA

* Thu May 17 2012 William DeCoste
- Initial


